org.gradle.api.tasks

## Class TaskExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.tasks.TaskExecutionException

- All Implemented Interfaces:
    Serializable

      public class TaskExecutionException
      extends GradleException

  A `TaskExecutionException` is thrown when a task fails to execute successfully.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskExecutionException(Task task, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Task` | `getTask()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskExecutionException

          public TaskExecutionException(Task task,
                                Throwable cause)

  - ### Method Detail

    - #### getTask

          public Task getTask()